Bug 1905146 - Backend Tests: TestHelmRepoGetter_SkipDisabled failures
Summary: Backend Tests: TestHelmRepoGetter_SkipDisabled failures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Akash Shinde
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-07 16:14 UTC by Samuel Padgett
Modified: 2021-02-24 15:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:40:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7455 0 None closed Bug 1905146: Fix helm unit test failures 2021-01-12 08:18:23 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:49 UTC

Description Samuel Padgett 2020-12-07 16:14:27 UTC
We're sometimes seeing the following backend test failure for Helm:

 --- FAIL: TestHelmRepoGetter_SkipDisabled (0.00s)
    --- FAIL: TestHelmRepoGetter_SkipDisabled/return_only_enabled_helm_repos (0.00s)
        repos_test.go:445: Expected repo2 but got repo1
        repos_test.go:445: Expected repo1 but got repo2 

Here is one example:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_console/7446/pull-ci-openshift-console-master-backend/1335971543724855296

CI Search results:

https://search.ci.openshift.org/?search=Expected+repo2+but+got+repo1&maxAge=48h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 3 Akash Shinde 2021-01-12 08:24:30 UTC
This issue is no longer exist.

Comment 5 errata-xmlrpc 2021-02-24 15:40:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.